# Generated by Django 2.2.16 on 2021-07-09 15:30

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='School',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('principal', models.CharField(max_length=50)),
                ('location', models.CharField(max_length=123)),
            ],
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=123)),
                ('age', models.PositiveIntegerField()),
                ('school', models.ForeignKey(on_delete=True, related_name='students', to='basic_app.School')),
            ],
        ),
    ]
